/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The StatusMsg model module.
 * @module model/StatusMsg
 * @version 2021.12-dev21
 */
class StatusMsg {
    /**
     * Constructs a new <code>StatusMsg</code>.
     * @alias module:model/StatusMsg
     * @param status {String} 
     */
    constructor(status) { 
        
        StatusMsg.initialize(this, status);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, status) { 
        obj['status'] = status;
    }

    /**
     * Constructs a <code>StatusMsg</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/StatusMsg} obj Optional instance to populate.
     * @return {module:model/StatusMsg} The populated <code>StatusMsg</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new StatusMsg();

            if (data.hasOwnProperty('status')) {
                obj['status'] = ApiClient.convertToType(data['status'], 'String');
            }
        }
        return obj;
    }


}

/**
 * @member {String} status
 */
StatusMsg.prototype['status'] = undefined;






export default StatusMsg;

